/***********************************************************************
 * 
 *	Copyright (c) Palm Computing 1996 -- All Rights Reserved
 *
 * PROJECT:  Pilot
 * FILE:     GraffitiReference.h
 * AUTHOR:	 Roger Flores: June 25, 1996
 *
 * DECLARER: UI
 *
 * DESCRIPTION:
 *	  This file defines the Graffiti Reference routines.
 *
 ***********************************************************************/


#ifndef __GRR_H__
#define __GRR_H__




typedef enum 
	{
	referenceAlpha, 
	referencePunc1, 
	referencePunc2, 
	referencePunc3, 
	referenceExtended, 
	referenceAccent,
	referenceDefault = 0xff		// based on graffiti mode (referenceAlpha)
	} ReferenceType;


#define referenceFirst		referenceAlpha
#define referenceLast		referenceAccent


/************************************************************
 * Graffiti Reference procedures
 *************************************************************/
#ifdef __cplusplus
extern "C" {
#endif


extern void SysGraffitiReferenceDialog (ReferenceType referenceType)
							SYS_TRAP(sysTrapSysGraffitiReferenceDialog);


#ifdef __cplusplus
}
#endif

#endif // __GRR_H__